GET
/notebooks/autoscale-groups/{group_id}/ssh-keys/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/autoscale-groups/{group_id}/ssh-keys/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/autoscale-groups/{group_id}/ssh-keys/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/autoscale-groups/{group_id}/ssh-keys/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the SSH keys of an Auto Scaling Group. Every VM in the group gets these keys.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”group_id
required
integer
Auto Scaling Group ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”The SSH keys
Media typeapplication/json
object
code
integer
message
string
data
The SSH keys of the group. Every VM in the group gets them.
object
ssh_keys
Array<object>
object
pk
ID of the SSH key.
integer
label
string
ssh_key
The public key.
string
errors
object
Example
{ "code": 200, "message": "Success", "data": { "ssh_keys": [ { "pk": 88, "label": "laptop", "ssh_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIExampleKeyOnlyNotARealKey user@example.com" } ] }, "errors": {}}project_id is missing or not a number.
Media typeapplication/json
object
code
integer
message
string
data
object
errors
string
Example
{ "code": 400, "message": "Bad Request", "data": {}, "errors": "Project ID is missing or invalid"}No Auto Scaling Group with that ID in the project and region.
Media typeapplication/json
object
code
integer
message
string
data
object
errors
string
Example
{ "code": 404, "message": "Bad Request", "data": {}, "errors": "Autoscale Group not found"}